Skip to main content

Create an appointment for an applicant

POSThttps://api.propexo.com/v1/events/appointments/applicants

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    applicant_idstring

    The Propexo unique identifier for the applicant

    application_idstring

    The Propexo unique identifier for the application

    unit_idstring

    The Propexo unique identifier for the unit

    appointment_datestring

    The date when the appointment will occur

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    appointment_timestring

    The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    appointment_duration_minutesinteger

    The duration of the appointment, in minutes

    Possible values: > 0

    appointment_typestring

    The type of appointment. This is specific to Entrata and correlates to the types of calendar appointments available

    Show 4 enum values
    LEASING_APPOINTMENTSELF_GUIDED_TOURTOURVIRTUAL_TOUR
    notesstring

    Notes associated with the event

    Possible values: <= 256 characters

    titlestring

    The title associated with the event

    Possible values: <= 50 characters

    employee_idstring

    The Propexo unique identifier for the employee

    statusstring

    The raw status associated with the event

    Show 4 enum values
    COMPLETEDOPENREVIEWDENIED
    prioritystring

    The priority of the appointment

    Show 3 enum values
    HIGHMEDIUMLOW

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/events/appointments/applicants
curl -X POST https://api.propexo.com/v1/events/appointments/applicants \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}